Subject: Re: bug#25875: 26.0.50; Hang logging out of MS-Windows

From: Richard Copley <[email-masked]>
Date: Sat, 25 Feb 2017 21:37:10 +0000

On 25 February 2017 at 21:30, Richard Copley <[email-masked]> wrote:
>>>> Configured using:
>>>>  'configure --prefix=/mingw64 --with-modules
>>>>  --enable-locallisppath=/c/emacs/site-lisp
>>>>  CPPFLAGS=-D_WIN32_WINNT=_WIN32_WINNT_WIN7 'CFLAGS=-O0 -g -ggdb''
>>>
>>> Why are you setting _WIN32_WINNT to this value when compiling Emacs?
>>
>> It's part of a patch that sets the AppUserModelID of the Emacs
>> process and of the shortcut created by addpm.exe to the same
>> string, so that if I pin the shortcut to the taskbar, that icon
>> will combine with the taskbar button of a running Emacs process.
>> I can't imagine it's relevant to this issue.
>>
>> [Would you like to see the patch? It would only be a starting point,
>> since it wouldn't compile on earlier versions of the OS in its
>> current state. And I'm still not ready to assign copyright.]
>
> Hmm, that doesn't make much sense, does it? I only need those
> flags in addpm.c, not for the rest of Emacs. Perhaps it's left over
> from another experiment. I've taken it out of my build script, but
> I haven't rebuilt because current master doesn't build from pristine:
>
> + ./autogen.sh
> Checking whether you have the necessary tools...
> (Read INSTALL.REPO for more details on building Emacs)
> Checking for autoconf (need at least version 2.65) ... ok
> Checking for automake (need at least version 1.11) ... ok
> Your system has the required tools.
> Inferring nt/gnulib.mk from lib/gnulib.mk ...
> Running 'autoreconf -fi -I m4' ...
> aclocal-1.15: error: aclocal: file
> '/msys64/usr/share/aclocal/xsize.m4' does not exist
> autoreconf: aclocal failed with exit status: 1

Please ignore that -- not sure what I did differently, but
the build is running fine now.